package com.app.framework.core.support.enums.common;

import com.app.framework.core.support.enums.BaseEnum;
import com.app.framework.core.support.enums.dict.DictEnum;

/**
 * 状态枚举
 * 	状态(1-启用 2-禁用 3-删除)
 */
@DictEnum(desc = "状态")
public enum StateEnum implements BaseEnum<Integer> {

    NORMAL(1, "启用"), DISABLE(2, "禁用"), DELETE(3, "删除");

    StateEnum(Integer value, String text) {
        putEnumItem(value, text);
    }

}
